import { getNearbyBlocks, sleep } from "../functions";
export default {
    async executeBreak(item, player, broken, location) {
        const itemTag = item.getTags().some(t => t.match(/break:axe/));
        if (!itemTag)
            return;
        const blockStack = broken.getItemStack();
        if (!blockStack?.typeId.endsWith("_log"))
            return;
        getNearbyBlocks(location, player.dimension, async function handler(block, dimension, _origin) {
            const { x, y, z } = block.location;
            if (!block.getItemStack()?.typeId.match(/log/))
                return;
            dimension.runCommand(`setblock ${x} ${y} ${z} air destroy`);
            await sleep(1);
            getNearbyBlocks(block.location, dimension, handler);
        });
    }
};
