import { getNearbyBlocks, sleep } from "../functions";
export default {
    async executeUse(item, player, broken, location) {
        if (item.typeId !== 'true_tools:big_shears')
            return;
        const blockStack = broken.getItemStack();
        if (!blockStack?.typeId.includes("leaves"))
            return;
        getNearbyBlocks(location, player.dimension, async function handler(block, dimension, _origin) {
            const { x, y, z } = block.location;
            if (!block.getItemStack()?.typeId.match(/leaves/))
                return;
            dimension.runCommand(`setblock ${x} ${y} ${z} air destroy`);
            await sleep(1);
            getNearbyBlocks(block.location, dimension, handler);
        });
    }
};
